Subject: Re: Missing DNS reqt? [was Re: (multi6) requirements draft comments]

From: Alex Zinin <[email-masked]>
Date: Wed, 2 Jan 2002 18:02:13 -0800

Michel,

I'm catching up on the discussion after holidays, so bear
with me if I'm missing something...

> It does not need to be a centralized directory. If the endpoint "name"
> is addressable (I do not like "name" in this context as it implies
> DNS but I will keep it for consitency) the endpoint itself can answer
> queries about its own locations <== (more than one).

> In the concept I propose, what you call name is a PI address, and
> its locations are several PA addresses. The key is to make the name
> itself addressable.

If you make EID (your PI address) "addressable" and expect it to be
usable by the endpoint to tell its routing names, then EID needs to
be routable (and assumably under any possible connectivity scenarios),
hence we seem to end up with the same problem---the routing system
has to handle non-connectivity-based addresses. My understanding
is that separating routing names from EIDs makes sense if the routing
system does not need to know anything about EIDs.

Regarding the question of whether EID->routing name mapping should
be done through DNS together with DN->EID mapping or through a
separate packet exchange. I think it is important to keep in mind
node mobility, where the node's routing name changes dynamically.
The relatively static nature of [at least] today DNS does not
converge well with possible dynamics of the routing name.

Alex.

---

From: David Conrad <[email-masked]>
Date: Wed, 02 Jan 2002 20:50:03 -0800

Hi,

On 1/2/02 6:02 PM, "Alex Zinin" <[email-masked]> wrote:
> be routable

Not necessarily.  If you have some mechanism that maps between the EID and
the locator, you can route on the locator independently of the routability
of the EID.  Numerous mechanisms can be imagined which could provide such a
mapping service (DNS among them).
 
> converge well with possible dynamics of the routing name.

My feeling is that any mobility solution that relies on the variability of
an EID is doomed given current name to address translation technology.  Not
only do you have to worry about stuff like DNS TTLs, but you must deal with
the fact that applications themselves cache addresses (that is, application
data structures know what an address is).

If, however, the EID is separated from the locator, you can vary the locator
according to topology changes (be they provider driven or the fact you've
roamed between one cell tower to another) without changing the bucket o'
bits applications have memcpy'd from the struct hostent returned by
gethostbyname().  In this model, DNS TTLs become relevant (assuming the
locators are looked up via DNS), but that is relatively easy to deal with.

Rgds,
-drc

---

From: Alex Zinin <[email-masked]>
Date: Thu, 3 Jan 2002 00:32:14 -0800

David,

> mapping service (DNS among them).

Generally yes. In fact, I would even say the routing system should
know nothing about EIDs. This is not they case with Michel's proposal,
though.

> data structures know what an address is).

Agree. That's why I think DNS should provide DN->EID mapping where
EID should stay static regardless of the nodes's location/connectivity,
and this is the EID->locator (routing name) mapping that should account
for dynamic changes in it.

> gethostbyname().

Agreed.

> In this model, DNS TTLs become relevant (assuming the

Frankly, I'm having trouble imagining a DNS-based system used to
provide the EID->location mapping dynamic enough and scalable at
the same time to work for mobile nodes. That's another story though...

Alex.

---

From: "Jim Fleming" <[email-masked]>
Date: Thu, 3 Jan 2002 07:29:42 -0800

Do you use a 2002 prefix ?

Jim Fleming
2002:[IPv4]:000X:03DB
http://www.IPv8.info

----- Original Message -----
From: "Alex Zinin" <[email-masked]>
To: "David Conrad" <[email-masked]>
Cc: "Michel Py" <[email-masked]>; "J. Noel Chiappa"
<[email-masked]>; "multi6" <[email-masked]>
Sent: Thursday, January 03, 2002 12:32 AM
Subject: Re: Missing DNS reqt? [was Re: (multi6) requirements draft
comments]

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 03 Jan 2002 16:30:42 +0100

> David,
...
> for dynamic changes in it.

This sounds exactly like a description of mobility, and exactly like
a description of multihoming. I don't think we should be scared of
common solutions (which is not the same as saying MIPv6 is the
solution for multihoming).

   Brian